Accueil > Base de connaissances > PHP > Quelle version de PHP est disponible ?


Quelle version de PHP est disponible ?




Nous maintenons à jour régulièrement nos serveurs afin de demeurer toujours adaptés à vos besoins, cela inclut PHP. Mais sachant qu'il existe des incompatibilités entre les différentes versions de PHP et notamment que la rétrocompatibilité n'est pas toujours assurée, vous avez de ce fait la possibilité de sélectionner la version de PHP que vous souhaitez utiliser, à partir de la V4.4 jusqu'à la dernière.

Pour ce faire, une fois connecté à votre panneau de contrôle, voici comment procéder :

  1. Dans l'onglet "LOGICIEL", cliquez sur le module "Sélectionner une version de PHP" ;
  2. C'est ici que vous trouverez la liste des versions PHP disponibles : vous pouvez alors sélectionner la version de PHP que vous souhaitez utiliser dans votre compte.
    Veuillez prendre note que cette version s'applique à tous les sites gérés dans votre compte, il n'est par conséquent pas possible de sélectionner une version spécifique de PHP par site géré via cette interface.
    Veuillez noter également que pour les versions natives il est impossible de sélectionner les modules à charger/décharger et que pour modifier des paramètres PHP, vous devrez passer par un fichier php.ini spécifique ;
  3. Une fois la version choisie, cliquez sur le bouton "Set as current" (définir comme la version courante) pour l'activer ;
  4. Vous pouvez alors sélectionner les modules spécifiques à charger parmi ceux proposés ou modifier des options en cliquant sur "Switch To PHP Options" ;
  5. Une fois vos options et/ou modules sélectionnés, cliquez sur le bouton "Enregistrer pour que votre nouvelle configuration soit enregistrée et prise en compte. Vous pouvez aussi opter pour le bouton "Use defaults" pour revenir à la configuration par défaut.


Consultez aussi